datacache <- new.env(hash=TRUE, parent=emptyenv())

illuminaHumanv1ProbeID <- function() showQCData("illuminaHumanv1ProbeID", datacache)
illuminaHumanv1ProbeID_dbconn <- function() dbconn(datacache)
illuminaHumanv1ProbeID_dbfile <- function() dbfile(datacache)
illuminaHumanv1ProbeID_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
illuminaHumanv1ProbeID_dbInfo <- function() dbInfo(datacache)

illuminaHumanv1ProbeIDORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "illuminaHumanv1ProbeID.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.HUMANCHIP_DB("illuminaHumanv1ProbeID", "chip illuminaHumanv1ProbeID", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(illuminaHumanv1ProbeID_dbconn())
}

